/*
 * 最大X、Y座标定义
 */
#define X_MAX 60
#define Y_MAX 20

/*
 * 指令常量
 */
#define CMD_START  0x00   /*游戏开始*/
#define CMD_NORMAL 0x01   /*正常游戏状态*/
#define CMD_FOOD   0x02   /*吃到食物*/
#define CMD_STOP   0x03   /*暂停*/
#define CMD_OVER   0x04   /*游戏结束*/
#define CMD_CLIENT_KEY 0x05  /*client端给个送回key的命令*/
#define CMD_OVER_SOCKET 0x06 /*网机时游戏结束*/

/*
 * 错误码
 */
#define ERR_UID 0x01     /*用户出错*/

/*
 * 控制桔构
 */
struct control {
	int con_command;    /*指令*/
	int con_slen;       /*蛇的总长度*/
	int con_srecord;    /*最高记录*/
	int con_steady;     /*稳定值*/
	int con_stype;      /*server snake or client snake*/
	int con_shead[2];   /*蛇头坐标,[0]为Y纵坐标,[1]为X横坐标*/
	int con_slast[2];   /*蛇尾坐标,[0]为Y纵坐标,[1]为X横坐标*/
	int con_sfood[2];   /*物食坐标,[0]为Y纵坐标,[1]为X横坐标*/
};
